Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456162

Summary: Merge in DNA plug-in code from FreeIPA
Product: [Retired] 389 Reporter: Nathan Kinder <nkinder>
Component: Server - DNA Plug-inAssignee: Nathan Kinder <nkinder>
Status: CLOSED CURRENTRELEASE QA Contact: Chandrasekar Kannan <ckannan>
Severity: low Docs Contact:
Priority: low    
Version: 1.1.1CC: benl, jgalipea
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 8.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-29 23:05:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 452721    
Attachments:
Description Flags
CVS Diffs none

Description Nathan Kinder 2008-07-21 20:14:07 UTC
The distributed numeric assignment plug-in was initially written for the FreeIPA
project, and checked into both their tree as well as the Fedora Directory Server
tree.  The plug-in has evolved over time in the FreeIPA tree, and it a part of
their current release.  Unfortunately, these changes haven't made it back to the
Fedora DS source code.

These changes merge the code from FreeIPA into our source tree.  The plan is to
have us provide the DNA plug-in for FreeIPA to use in future versions.

Comment 1 Nathan Kinder 2008-07-21 20:14:07 UTC
Created attachment 312297 [details]
CVS Diffs

Comment 2 Nathan Kinder 2008-07-23 16:36:17 UTC
Checked into ldapserver (HEAD).  Thanks to Rich for his review!

Checking in dna.c;
/cvs/dirsec/ldapserver/ldap/servers/plugins/dna/dna.c,v  <--  dna.c
new revision: 1.4; previous revision: 1.3
done

Comment 3 Jenny Galipeau 2009-03-12 20:13:31 UTC
This is more of a task than a bug.  Is it okay to close?

Comment 4 Nathan Kinder 2009-03-12 22:15:01 UTC
(In reply to comment #3)
> This is more of a task than a bug.  Is it okay to close?  

Yes.

Comment 5 Jenny Galipeau 2009-03-13 12:23:06 UTC
task complete - closing

Comment 6 Chandrasekar Kannan 2009-04-29 23:05:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html